### Function

# GObject InterfaceFinalizeFunc

#### Declaration

    void
    (* GInterfaceFinalizeFunc) (
      GObjectTypeInterface* g_iface,
      gpointer iface_data
    )

#### Description

A callback function used by the type system to finalize an interface.

This function should destroy any internal data and release any resources allocated by the corresponding GInterfaceInitFunc() function.

#### Parameters

`g_iface`

  Type: `GTypeInterface`

  The interface structure to finalize.

  The data is owned by the caller of the function.

`iface_data`

  Type: `gpointer`

  The `interface_data` supplied via the `GInterfaceInfo` structure.

  The argument can be `NULL`.
  The data is owned by the caller of the function.